Package org.springframework.beans.factory

# Interface BeanClassLoaderAware

All Superinterfaces:
  `Aware`

All Known Implementing Classes:
  `AbstractFactoryBean`, `AbstractServiceLoaderBasedFactoryBean`, `CustomAutowireConfigurer`, `CustomScopeConfigurer`, `FieldRetrievingFactoryBean`, `ListFactoryBean`, `MapFactoryBean`, `MethodInvokingBean`, `MethodInvokingFactoryBean`, `ObjectFactoryCreatingFactoryBean`, `ProviderCreatingFactoryBean`, `ServiceFactoryBean`, `ServiceListFactoryBean`, `ServiceLoaderFactoryBean`, `SetFactoryBean`

public interface BeanClassLoaderAware extends Aware
Callback that allows a bean to be aware of the bean `class loader`; that is, the class loader used by the present bean factory to load bean classes.

This is mainly intended to be implemented by framework classes which have to pick up application classes by name despite themselves potentially being loaded from a shared class loader.

For a list of all bean lifecycle methods, see the `BeanFactory javadocs`.

Since:
  2.0
Author:
  Juergen Hoeller, Chris Beams
See Also:
  - `BeanNameAware`
  - `BeanFactoryAware`
  - `InitializingBean`

## Method Summary

Modifier and Type
Method
Description
`void`
`setBeanClassLoader(ClassLoader classLoader)`
Callback that supplies the bean `class loader` to a bean instance.

## Method Details

### setBeanClassLoader

void setBeanClassLoader(ClassLoader classLoader)
Callback that supplies the bean `class loader` to a bean instance.

Invoked after the population of normal bean properties but before an initialization callback such as `InitializingBean's` `InitializingBean.afterPropertiesSet()` method or a custom init-method.

Parameters:
  `classLoader` - the owning class loader